Package org.silverpeas.mobile.client

## Class SpMobil

- java.lang.Object
- - org.silverpeas.mobile.client.SpMobil

- All Implemented Interfaces:
    `com.google.gwt.core.client.EntryPoint`, `com.google.gwt.event.shared.EventHandler`, `AuthenticationEventHandler`

      public class SpMobil
      extends Object
      implements com.google.gwt.core.client.EntryPoint, AuthenticationEventHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpMobil()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `destroyMainPage()` |
    `static void` | `displayCookiesPage()` |
    `void` | `displayFirstPage()` |
    `static void` | `displayLoginPage​(AuthenticationException error)` |
    `static void` | `displayMainPage()` |
    `static void` | `displayTermsOfServicePage()` |
    `static void` | `exportNativeFunctions()` |
    `static Config` | `getConfiguration()` |
    `static String` | `getContentZoomLevel()` |
    `static SpMobil` | `getInstance()` |
    `static Page` | `getMainPage()` |
    `static DetailUserDTO` | `getUser()` |
    `static UserProfileDTO` | `getUserProfile()` |
    `static String` | `getUserToken()` |
    `static boolean` | `isSSO()` |
    `void` | `loadIds​(com.google.gwt.user.client.Command attempt)` | Load ids in SQL Web Storage.
    `void` | `onAuthenticationError​(AbstractAuthenticationErrorEvent event)` |
    `void` | `onModuleLoad()` | Init. spmobile.
    `static void` | `restoreMainPage()` |
    `static void` | `search​(String query)` |
    `static void` | `setFilter​(Config configuration)` |
    `static void` | `setFontSize​(int value)` |
    `static void` | `setUser​(DetailUserDTO user, boolean displayPersonnalApps)` |
    `static void` | `setUserProfile​(UserProfileDTO userProfile)` |
    `static void` | `showFullScreen​(com.google.gwt.user.client.ui.Widget content, boolean zoomable, String bodyClass, String bodyId)` |
    `static void` | `tabletGesture​(boolean connected)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpMobil

          public SpMobil()

  - ### Method Detail

    - #### getUser

          public static DetailUserDTO getUser()

    - #### setUserProfile

          public static void setUserProfile​(UserProfileDTO userProfile)

    - #### getUserProfile

          public static UserProfileDTO getUserProfile()

    - #### setUser

          public static void setUser​(DetailUserDTO user,
                                     boolean displayPersonnalApps)

    - #### onModuleLoad

          public void onModuleLoad()

      Init. spmobile.
      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### displayFirstPage

          public void displayFirstPage()

    - #### getMainPage

          public static Page getMainPage()

    - #### getUserToken

          public static String getUserToken()

    - #### getInstance

          public static SpMobil getInstance()

    - #### displayMainPage

          public static void displayMainPage()

    - #### displayTermsOfServicePage

          public static void displayTermsOfServicePage()

    - #### displayCookiesPage

          public static void displayCookiesPage()

    - #### loadIds

          public void loadIds​(com.google.gwt.user.client.Command attempt)

      Load ids in SQL Web Storage.

    - #### isSSO

          public static boolean isSSO()

    - #### tabletGesture

          public static void tabletGesture​(boolean connected)

    - #### displayLoginPage

          public static void displayLoginPage​(AuthenticationException error)

    - #### search

          public static void search​(String query)

    - #### showFullScreen

          public static void showFullScreen​(com.google.gwt.user.client.ui.Widget content,
                                            boolean zoomable,
                                            String bodyClass,
                                            String bodyId)

    - #### restoreMainPage

          public static void restoreMainPage()

    - #### destroyMainPage

          public static void destroyMainPage()

    - #### getConfiguration

          public static Config getConfiguration()

    - #### getContentZoomLevel

          public static String getContentZoomLevel()

    - #### onAuthenticationError

          public void onAuthenticationError​(AbstractAuthenticationErrorEvent event)

      Specified by:
        `onAuthenticationError` in interface `AuthenticationEventHandler`

    - #### exportNativeFunctions

          public static void exportNativeFunctions()

    - #### setFontSize

          public static void setFontSize​(int value)

    - #### setFilter

          public static void setFilter​(Config configuration)